fn main() {
    // ANCHOR: here
    enum Message {
        Hello { id: i32 },
    }

    let msg = Message::Hello { id: 5 };

    match msg {
        Message::Hello {
            id: id_variable @ 3..=7,
        } => println!("W przedziale znaleziono id: {}", id_variable),
        Message::Hello { id: 10..=12 } => {
            println!("Znaleziono id w innym przedziale")
        }
        Message::Hello { id } => println!("Jakieś inne id: {}", id),
    }
    // ANCHOR_END: here
}
